/* ipuz-nonogram-color.c
 *
 * Copyright 2024 Jonathan Blandford <jrb@gnome.org>
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301  USA
 *
 * SPDX-License-Identifier: (LGPL-2.1-or-later OR MIT)
 */


#include "libipuz-config.h"
#include <libipuz/ipuz-nonogram-color.h>


static void                ipuz_nonogram_color_init         (IpuzNonogramColor      *self);
static void                ipuz_nonogram_color_class_init   (IpuzNonogramColorClass *klass);
static const gchar *const *ipuz_nonogram_color_get_kind_str (IpuzPuzzle             *puzzle);


G_DEFINE_TYPE (IpuzNonogramColor, ipuz_nonogram_color, IPUZ_TYPE_NONOGRAM);


static void
ipuz_nonogram_color_init (IpuzNonogramColor *self)
{
  /* Pass */
}

static void
ipuz_nonogram_color_class_init (IpuzNonogramColorClass *klass)
{
  IpuzPuzzleClass *puzzle_class = IPUZ_PUZZLE_CLASS (klass);

  puzzle_class->get_kind_str = ipuz_nonogram_color_get_kind_str;
}

static const gchar *const *
ipuz_nonogram_color_get_kind_str (IpuzPuzzle *puzzle)
{
  static const char *kind_str[] =
    {
      "http://ipuz.org/nonogram#1",
      "http://ipuz.org/nonogram/color#1",
      NULL
    };

  return kind_str;
}

/*
 * Public Methods
 */

IpuzPuzzle *
ipuz_nonogram_color_new (void)
{
  IpuzPuzzle *nonogram_color;

  nonogram_color = g_object_new (IPUZ_TYPE_NONOGRAM_COLOR,
                                 NULL);

  return nonogram_color;
}
